edu.isi.pegasus.planner.catalog.classes

## Enum SysInfo.OS

- java.lang.Object
- - java.lang.Enum<SysInfo.OS>
  - - edu.isi.pegasus.planner.catalog.classes.SysInfo.OS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SysInfo.OS>

Enclosing class:
  SysInfo

    public static enum SysInfo.OS
    extends java.lang.Enum<SysInfo.OS>

Enumerates the new OS types supported in Pegasus.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AIX`
`LINUX`
`MACOSX`
`SUNOS`
`WINDOWS`

### Method Summary

All Methods Static Methods Concrete Methods
`static SysInfo.OS` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SysInfo.OS[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LINUX

    public static final SysInfo.OS LINUX

#### SUNOS

    public static final SysInfo.OS SUNOS

#### AIX

    public static final SysInfo.OS AIX

#### MACOSX

    public static final SysInfo.OS MACOSX

#### WINDOWS

    public static final SysInfo.OS WINDOWS

### Method Detail

#### values

    public static SysInfo.OS[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SysInfo.OS c : SysInfo.OS.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SysInfo.OS valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null